Bug 523167 - [ml_IN] Wrong rendering when 0D36 combined with 0D4D and 0D31
Summary: [ml_IN] Wrong rendering when 0D36 combined with 0D4D and 0D31
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lohit-malayalam-fonts
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Pravin Satpute
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-14 09:57 UTC by Ani Peter
Modified: 2016-08-01 01:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-23 06:30:57 UTC
Type: ---


Attachments (Terms of Use)
Screenshot for the wrong glyph (2.57 KB, image/png)
2009-09-14 09:57 UTC, Ani Peter
no flags Details
Screenshot for the correct glyph (2.23 KB, image/png)
2009-09-14 09:58 UTC, Ani Peter
no flags Details
Correct rendering of required combination. (145.35 KB, image/png)
2009-09-14 15:33 UTC, sandeep shedmake
no flags Details
patch for handling 0D36 + 0D4D + 0D31 combination in lohit-malayalam (2.66 KB, patch)
2009-09-15 09:37 UTC, sandeep shedmake
no flags Details | Diff
ttf file for Lohit-Malayalam handling the required combination (69.25 KB, application/x-font-ttf)
2009-09-16 17:57 UTC, sandeep shedmake
no flags Details

Description Ani Peter 2009-09-14 09:57:28 UTC
Created attachment 360915 [details]
Screenshot for the wrong glyph

Description of problem:

When 0D36 is combined with 0D31 using 0D4D, result is a wrong glyph. 
 0D36 + 0D4D + 0D31  =>  ശ  +  ്  +  റ  = ശ്റ

Version-Release number of selected component (if applicable):
lohit-malayalam-fonts-2.3.8-1

How reproducible:
Always

Steps to Reproduce:
1. Open gedit.
2.Type 0D36, 0D4D and 0D31
     
Actual results:
When the above steps are done, results is wrong. It appears as a wrong glyph. Screenshot of wrong glyph attached.

Expected results:
When the above steps are done, result must be combination of the characters in the order they are typed.
Screenshot of correct glyph attached.

Comment 1 Ani Peter 2009-09-14 09:58:01 UTC
Created attachment 360916 [details]
Screenshot for the correct glyph

Comment 2 sandeep shedmake 2009-09-14 15:33:20 UTC
Created attachment 360961 [details]
Correct rendering of required combination.

From Comment #1,


The required combination is fixed in pango-1.25.5-1, qt-4.5.2-13 and libicu-4.2.1-6:

0D36 + 0D4D + 0D31  =>  ശ  +  ്  +  റ  = ശ്റ

Comment 3 sandeep shedmake 2009-09-15 05:08:11 UTC
From  Comment #2

Oops!!  I realized that smc-meera-fonts is the preferred font (as per the 90-smc-fonts.conf) over lohit-malayalam. 

Thereby, the required combination: 
0D36 + 0D4D + 0D31  =>  ശ  +  ്  +  റ  = ശ്റ      breaks in lohit-malayalam.

Comment 4 Ani Peter 2009-09-15 05:19:05 UTC
I confirm that this bug is filed for lohit-malayalam-fonts-2.3.8-1 as mentioned in the description. The combination works fine with all smc fonts.

Comment 5 sandeep shedmake 2009-09-15 09:37:41 UTC
Created attachment 361056 [details]
patch for handling 0D36 + 0D4D + 0D31 combination in lohit-malayalam

Comment 6 sandeep shedmake 2009-09-16 17:57:02 UTC
Created attachment 361341 [details]
ttf file for Lohit-Malayalam handling the required combination

Comment 7 Ani Peter 2009-09-18 06:15:59 UTC
Have tested Lohit-Malayalam. 
The combination is working perfect.

0D36 + 0D4D + 0D31  =>  ശ  +  ്  +  റ  = ശ്റ   

Thanks Sandeep.

Comment 8 Pravin Satpute 2009-09-21 12:16:36 UTC
build lohit-malayalam-fonts-2_4_4-1_fc12
will be available in wed. rawhide

Comment 9 sandeep shedmake 2009-09-23 06:30:57 UTC
From Comment #8,

Following combination:
0D36 + 0D4D + 0D31  =>  ശ  +  ്  +  റ  = ശ്റ 

can now be obtained from build lohit-malayalam-fonts-2_4_4-1_fc12 (available in Rawhide).

Thereby, closing this bug.


Note You need to log in before you can comment on or make changes to this bug.